package com.yonge.cooleshow.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.biz.dal.entity.ActivityRegistration;
import com.yonge.cooleshow.biz.dal.enums.MK;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022-08-04 10:19:49
 */
@ApiModel(value = "ActivityRegistrationVo对象", description = "活动报名表查询视图对象")
public class ActivityRegistrationVo extends ActivityRegistration{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "学生id")
	private Long studentId;

	@ApiModelProperty(value = "学生昵称")
	private String username;

	@ApiModelProperty(value = "手机号")
	private String phone;

	@ApiModelProperty(value = "评测曲目")
	private String musicSheetName;

	@ApiModelProperty(value = "最大分数")
	private Integer maxScore;

	@ApiModelProperty(value = "评测次数")
	private Integer num;

	@ApiModelProperty(value = "是否获奖")
	private Boolean rewardFlag;

	@ApiModelProperty("真实姓名")
	private String realName;

	// 用户高最排名信息
	@ApiModelProperty("最高排名分数")
	private Double score;
	
	@ApiModelProperty("最高排名次数")
	private Integer times;

	@ApiModelProperty("曲子声部")
	private String subjectName;

	@ApiModelProperty("最高分时间")
	@JsonFormat(pattern = MK.TIME_PATTERN, timezone = MK.TIME_ZONE)
	private Date scoreTime;

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getMusicSheetName() {
		return musicSheetName;
	}

	public void setMusicSheetName(String musicSheetName) {
		this.musicSheetName = musicSheetName;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public Integer getMaxScore() {
		return maxScore;
	}

	public void setMaxScore(Integer maxScore) {
		this.maxScore = maxScore;
	}

	public Boolean getRewardFlag() {
		return rewardFlag;
	}

	public void setRewardFlag(Boolean rewardFlag) {
		this.rewardFlag = rewardFlag;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Integer getTimes() {
		return times;
	}

	public void setTimes(Integer times) {
		this.times = times;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public Date getScoreTime() {
		return scoreTime;
	}

	public void setScoreTime(Date scoreTime) {
		this.scoreTime = scoreTime;
	}

	public ActivityRegistrationVo score(Double score) {
		this.score = score;
		return this;
	}

	public ActivityRegistrationVo times(Integer times) {
		this.times = times;
		return this;
	}

	public ActivityRegistrationVo subjectName(String subjectName) {
		this.subjectName = subjectName;
		return this;
	}

	public ActivityRegistrationVo scoreTime(Date scoreTime) {
		this.scoreTime = scoreTime;
		return this;
	}
}